import request from '@/utils/request'

// 查询人员信息列表
export function listStaffmgr(query) {
  return request({
    url: '/configuration/staffmgr/list',
    method: 'get',
    params: query
  })
}

// 查询人员信息详细
export function getStaffmgr(id) {
  return request({
    url: '/configuration/staffmgr/' + id,
    method: 'get'
  })
}

// 查询人员信息详细
export function getStaffmgrByIC(cardId) {
  return request({
    url: '/configuration/staffmgr/getByIc/' + cardId,
    method: 'get'
  })
}

// 新增人员信息
export function addStaffmgr(data) {
  return request({
    url: '/configuration/staffmgr',
    method: 'post',
    data: data
  })
}

// 修改人员信息
export function updateStaffmgr(data) {
  return request({
    url: '/configuration/staffmgr',
    method: 'put',
    data: data
  })
}

// 删除人员信息
export function delStaffmgr(id) {
  return request({
    url: '/configuration/staffmgr/' + id,
    method: 'delete'
  })
}

// 导出人员信息
export function exportStaffmgr(query) {
  return request({
    url: '/configuration/staffmgr/export',
    method: 'get',
    params: query
  })
}
